org.icefaces.ace.component.progressbar

## Interface IProgressBar

- All Known Implementing Classes:
    ProgressBar, ProgressBarBase

      public interface IProgressBar

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.el.MethodExpression` | `getCancelListener()`
    `javax.el.MethodExpression` | `getChangeListener()`
    `javax.el.MethodExpression` | `getCompleteListener()`
    `int` | `getPollingInterval()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `int` | `getValue()`
    `java.lang.String` | `getWidgetVar()`
    `boolean` | `isDisabled()`
    `boolean` | `isUsePolling()`
    `void` | `setCancelListener(javax.el.MethodExpression cancelListener)`
    `void` | `setChangeListener(javax.el.MethodExpression changeListener)`
    `void` | `setCompleteListener(javax.el.MethodExpression completeListener)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setPollingInterval(int pollingInterval)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setUsePolling(boolean usePolling)`
    `void` | `setValue(int value)`
    `void` | `setWidgetVar(java.lang.String widgetVar)`

- - ### Method Detail

    - #### setCancelListener

          void setCancelListener(javax.el.MethodExpression cancelListener)

    - #### getCancelListener

          javax.el.MethodExpression getCancelListener()

    - #### setChangeListener

          void setChangeListener(javax.el.MethodExpression changeListener)

    - #### getChangeListener

          javax.el.MethodExpression getChangeListener()

    - #### setCompleteListener

          void setCompleteListener(javax.el.MethodExpression completeListener)

    - #### getCompleteListener

          javax.el.MethodExpression getCompleteListener()

    - #### setDisabled

          void setDisabled(boolean disabled)

    - #### isDisabled

          boolean isDisabled()

    - #### setPollingInterval

          void setPollingInterval(int pollingInterval)

    - #### getPollingInterval

          int getPollingInterval()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setUsePolling

          void setUsePolling(boolean usePolling)

    - #### isUsePolling

          boolean isUsePolling()

    - #### setValue

          void setValue(int value)

    - #### getValue

          int getValue()

    - #### setWidgetVar

          void setWidgetVar(java.lang.String widgetVar)

    - #### getWidgetVar

          java.lang.String getWidgetVar()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.